#include <iostream>

using namespace std;

int main()
{
    long long int n, m, i, j, br;
    scanf("%lld%lld", &n, &m);
    int a[n][m];
    for(i=0;i<n;i++)
        for(j=0;j<m;j++)
        a[i][j]=i*m+j+1;
    if(n==2)
        br=m;
    else if(m==2)
        br=n;
    else
    {
        br=2*n+2*m-4+((n-2)*(m-2))/2;
    }
    printf("%lld", br);
    return 0;
}